{ ... }: {
  services.qemuGuest.enable = true;
  boot.loader = {
    systemd-boot.enable = true;
    efi.canTouchEfiVariables = true;
  };
  boot.initrd.availableKernelModules = [
    "virtio_pci"
    "virtio_scsi"  # use "virtio_blk" instead if disk is /dev/vda
    "ahci"
    "sd_mod"
  ];
}
